<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_ldap', language 'tl', version '4.0'.
 *
 * @package     auth_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_ldap_auth_user_create_key'] = 'Lumikha ng tagagamit sa external na paraan';
$string['auth_ldap_bind_dn'] = 'Kung nais mong gumamit ng bind-user upang maghanap ng mga tagagamit, itakda mo rito.  Tulad nito \'cn=ldapuser,ou=public,o=org\'';
$string['auth_ldap_bind_dn_key'] = 'Kilalang Pangalan';
$string['auth_ldap_bind_pw'] = 'Kontrasenyas para sa bind-user.';
$string['auth_ldap_bind_pw_key'] = 'Kontrasenyas';
$string['auth_ldap_bind_settings'] = 'Setting ng bind';
$string['auth_ldap_changepasswordurl_key'] = 'URL ng pagbabago ng kontrasenyas';
$string['auth_ldap_contexts'] = 'Listahan ng mga konteksto ng lokasyon ng tagagamit.  Paghiwalayin ang iba\'t-ibang konteksto ng \';\'. Halimbawa: \'ou=users,o=org; ou=others,o=org\'';
$string['auth_ldap_contexts_key'] = 'Konteksto';
$string['auth_ldap_create_context'] = 'Kung naka-enable ang paglikha ng tagagamit na may email confirmation, itakda mo ang konteksto kung saan lilikhain ang mga tagagamit.  Ang kontekstong ito ay dapat naiiba sa iba pang tagagamit upang maiwasan ang mga problema sa seguridad.  Hindi mo kailangang ilagay ang kontekstong ito sa ldap_context-variable, awtomatikong hahanapin ng Moodle ang tagagamit sa kontekstong ito.<br /><b>Tandaan!</b> Kailangan mong baguhin ang method na user_create() sa file na auth/ldap/lib.php upang mapagana ang paglikha ng tagagamit';
$string['auth_ldap_create_context_key'] = 'Konteksto para sa bagong tagagamit';
$string['auth_ldap_create_error'] = 'Nagka-error sa paglikha ng tagagamit sa LDAP';
$string['auth_ldap_expiration_desc'] = 'Piliin ang \'{$a->no}\' upang ma-disable ang pagtsek sa mga pasó nang kontrasenyas o \'{$a->ldapserver}\' upang mabasa ang oras ng pagkapasó ng kontrasenyas, nang direkta mula sa LDAP server.';
$string['auth_ldap_expiration_key'] = 'Pagkapasó';
$string['auth_ldap_expiration_warning_desc'] = 'Bilang ng araw bago ipakita ang babala sa pagkapasó ng kontrasenyas.';
$string['auth_ldap_expiration_warning_key'] = 'Babala ng pagkapasó';
$string['auth_ldap_expireattr_desc'] = 'Opsiyonal: Nananaig sa katangian-ng-ldap na nag-iimbak ng oras ng pagkapasó ng kontrasenyas';
$string['auth_ldap_expireattr_key'] = 'Katangian ng pagkapasó';
$string['auth_ldap_graceattr_desc'] = 'Opsiyonal: Nananaig sa gracelogin katangian';
$string['auth_ldap_gracelogin_key'] = 'Katangian ng grace log-in';
$string['auth_ldap_gracelogins_desc'] = 'I-enable ang may  LDAP gracelogin support.  Matapos mapasó ang kontrasenyas, ang tagagamit ay makaka-login pa hanggang maging 0 ang bilang ng gracelogin.  Kapag i-enable ang setting na ito magpapakita ng mensahe ng gracelogin kapag ang kontrasenyas ay pasó na.';
$string['auth_ldap_gracelogins_key'] = 'Mga grace log-in';
$string['auth_ldap_host_url'] = 'Itakda ang LDAP host sa anyong-URL tulad ng  \'ldap://ldap.myorg.com/\' o \'ldaps://ldap.myorg.com/\' Paghiwalayin ang maraming server ng \';\' upang makakuha ng suportang failover.';
$string['auth_ldap_ldap_encoding'] = 'Itakda ang encoding na ginagamit ng LDAP server.  Kadalasan ay utf-8.  Ang MS AD v2 ay ginagamit ang default na encoding ng plataporma tulad ng cp1252, cp1250, atbp.';
$string['auth_ldap_ldap_encoding_key'] = 'Encoding ng LDAP';
$string['auth_ldap_login_settings'] = 'Mga setting ng login';
$string['auth_ldap_memberattribute'] = 'Opsiyonal: Nananaig sa katangiang pangmiyembro ng tagagamit, kapag ang mga tagagamit ay kabilang sa isang pangkat.  Karaniwan ay \'member\'';
$string['auth_ldap_memberattribute_isdn'] = 'Opsiyonal: Nananaig sa kung paano ginagamit ang halaga ng katangiang pangmiyembro, alin sa dalawa, 0 o 1.';
$string['auth_ldap_memberattribute_isdn_key'] = 'Gumagamit ng dn ang katangiang pangmiyembro';
$string['auth_ldap_memberattribute_key'] = 'Katangiang pangmiyembro';
$string['auth_ldap_noconnect'] = 'Hindi makakonekta ang modyul na LDAP sa server: {$a}';
$string['auth_ldap_noconnect_all'] = 'Hindi makakonekta sa anumang server ang modyul na LDAP: {$a}';
$string['auth_ldap_noextension'] = '<em>Mukhang walang modyul na PHP LDAP.  Tiyakin po na na-install ito at naka-enable kung ibig mong gamitin ang authentication plugin na ito.</em>';
$string['auth_ldap_objectclass'] = 'Opsiyonal: Nananaig sa objectClass na ginagamit sa pagpapangalan/paghahanap ng mga tagagamit sa ldap_user_type.  Kadalasan ay hindi mo na kailangang baguhin ito.';
$string['auth_ldap_opt_deref'] = 'Itinatakda kung paano hinahandle ang mga alias kapag naghahanap.  Piliin ang isa sa mga sumusunod na halaga:  "Hindi" (LDAP_DEREF_NEVER) o "Oo" (LDAP_DEREF_ALWAYS)';
$string['auth_ldap_passtype'] = 'Itakda ang format ng bago o pinalitang kontrasenyas sa LDAP server.';
$string['auth_ldap_passtype_key'] = 'Format  ng kontrasenyas';
$string['auth_ldap_passwdexpire_settings'] = 'Setting ng pagkapaso ng kontrasenyas sa LDAP.';
$string['auth_ldap_preventpassindb'] = 'Piliin ang oo upang huwag maimbak ang mga kontrasenyas sa DB ng Moodle.';
$string['auth_ldap_preventpassindb_key'] = 'Itago ang mga kontrasenyas';
$string['auth_ldap_search_sub'] = 'Hanapin ang mga tagagamit mula sa subkonteksto.';
$string['auth_ldap_search_sub_key'] = 'Maghanap ng subkonteksto';
$string['auth_ldap_server_settings'] = 'Setting ng LDAP server';
$string['auth_ldap_unsupportedusertype'] = 'auth:  hindi pa sinusuportahan ng ldap user_create() ang uri ng tagagamit na:"{$a}"';
$string['auth_ldap_update_userinfo'] = 'I-update ang impormasyon ng tagagamit (unang pangalan, apelyido, tirahan..) sa Moodle mula sa LDAP.  Itakda ang setting ng "Pagmamapa ng datos" alinsunod sa pangangailangan mo.';
$string['auth_ldap_user_attribute'] = 'Opsiyonal: Nananaig sa katangian na ginagamit sa pagpapangalan/paghahanap ng mga tagagamit.  Karaniwan ay \'cn\'.';
$string['auth_ldap_user_attribute_key'] = 'Katangiang tagagamit';
$string['auth_ldap_user_exists'] = 'Mayroon nang ganyang pangalan ng tagagamit sa LDAP';
$string['auth_ldap_user_settings'] = 'Setting ng pang-lookup ng tagagamit';
$string['auth_ldap_user_type'] = 'Piliin kung paano iiimbak ang tagagamit sa LDAP.  Itinatakda rin ng setting na ito kung paano gagana ang pagkapasó ng login, gracelogin at paglikha ng tagagamit.';
$string['auth_ldap_user_type_key'] = 'Uri ng tagagamit';
$string['auth_ldap_usertypeundefined'] = 'hindi itinakda ang config.user_type o hindi sinusuportahan ng function na ldap_expirationtime2unix ang piniling uri!';
$string['auth_ldap_usertypeundefined2'] = 'hindi itinakda ang config.user_type o hindi sinusuportahan ng function na ldap_unixi2expirationtime ang piniling uri!';
$string['auth_ldap_version'] = 'Ang bersiyon ng LDAP protocol na ginagamit ng server mo ay.';
$string['auth_ldap_version_key'] = 'Bersiyon';
$string['auth_ldapdescription'] = 'Ang paraang ito ay nagbibigay ng kakayanang mag-authenticate sa pamamagitan ng external na LDAP server. Kung valid ang ibinigay na username at kontrasenyas, lilikha ang Moodle ng entry ng bagong tagagamit sa database nito.  Nakababasa ang plugin na ito ng mga attribute ng tagagamit mula sa LDAP at kayang i-prefill ang mga kailangang field sa Moodle.  Sa mga susunod na paglogin, tanging ang username at kontrasenyas ang tsinitsek.';
$string['auth_ldapextrafields'] = 'Ang mga field na ito ay opsiyonal.  Maaari mong piliing mapre-fill ang ilang field na pangtagagamit ng Moodle ng impormasyon mula sa <b>mga field ng LDAP</b> na itatakda mo rito. <p>Kapag iniwan mong blangko ang mga field na ito, walang maipapasa mula sa LDAP at sa halip ay mga default sa Moodle ang gagamitin.</p><p>Anu\'t-anoman, maeedit ng tagagamit ang mga field na ito pagkatapos nilang mag-login.</p>';
$string['auth_ldapnotinstalled'] = 'Hindi magamit ang authentication na LDAP.  Hindi naka-install ang modyul na PHP LDAP.';
$string['noemail'] = 'Tinangkang padalhan ka ng email pero nabigo ito!';
$string['pluginname'] = 'Gumamit ng LDAP server';
